<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head><link rel="stylesheet" type="text/css" href="style.css" /><script type="text/javascript" src="highlight.js"></script></head><body><pre><span class="hs-keyword">module</span><span> </span><span class="hs-identifier">Syntax.ProtoSentence</span><span>
</span><span id="line-2"></span><span>  </span><span class="hs-special">(</span><span> </span><span class="annot"><a href="Syntax.ProtoSentence.html#ProtoSentence"><span class="hs-identifier">ProtoSentence</span></a></span><span> </span><span class="hs-special">(</span><span class="hs-glyph">..</span><span class="hs-special">)</span><span class="hs-special">,</span><span>
</span><span id="line-3"></span><span>    </span><span class="annot"><a href="Syntax.ProtoSentence.html#protoCopula"><span class="hs-identifier">protoCopula</span></a></span><span class="hs-special">,</span><span>
</span><span id="line-4"></span><span>    </span><span class="annot"><a href="Syntax.ProtoSentence.html#protoNorNork"><span class="hs-identifier">protoNorNork</span></a></span><span class="hs-special">,</span><span>
</span><span id="line-5"></span><span>    </span><span class="annot"><a href="Syntax.ProtoSentence.html#negateSent"><span class="hs-identifier">negateSent</span></a></span><span class="hs-special">,</span><span>
</span><span id="line-6"></span><span>    </span><span class="annot"><a href="Syntax.ProtoSentence.html#modifyType"><span class="hs-identifier">modifyType</span></a></span><span class="hs-special">,</span><span>
</span><span id="line-7"></span><span>    </span><span class="annot"><a href="Syntax.ProtoSentence.html#modifyAspect"><span class="hs-identifier">modifyAspect</span></a></span><span class="hs-special">,</span><span>
</span><span id="line-8"></span><span>    </span><span class="annot"><a href="Syntax.ProtoSentence.html#modifyTense"><span class="hs-identifier">modifyTense</span></a></span><span class="hs-special">,</span><span>
</span><span id="line-9"></span><span>    </span><span class="annot"><a href="Syntax.ProtoSentence.html#modifyAttribute"><span class="hs-identifier">modifyAttribute</span></a></span><span class="hs-special">,</span><span>
</span><span id="line-10"></span><span>    </span><span class="annot"><a href="Syntax.ProtoSentence.html#modifyNor"><span class="hs-identifier">modifyNor</span></a></span><span class="hs-special">,</span><span>
</span><span id="line-11"></span><span>    </span><span class="annot"><a href="Syntax.ProtoSentence.html#modifyNork"><span class="hs-identifier">modifyNork</span></a></span><span class="hs-special">,</span><span>
</span><span id="line-12"></span><span>    </span><span class="annot"><a href="Syntax.ProtoSentence.html#modifyVerb"><span class="hs-identifier">modifyVerb</span></a></span><span class="hs-special">,</span><span>
</span><span id="line-13"></span><span>  </span><span class="hs-special">)</span><span>
</span><span id="line-14"></span><span class="hs-keyword">where</span><span>
</span><span id="line-15"></span><span>
</span><span id="line-16"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><a href="BasicData.html"><span class="hs-identifier">BasicData</span></a></span><span>
</span><span id="line-17"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><a href="Features.html"><span class="hs-identifier">Features</span></a></span><span>
</span><span id="line-18"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><a href="Lexis.html"><span class="hs-identifier">Lexis</span></a></span><span>
</span><span id="line-19"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><a href="Syntax.Constituent.html"><span class="hs-identifier">Syntax.Constituent</span></a></span><span>
</span><span id="line-20"></span><span>
</span><span id="line-21"></span><span class="hs-comment">-- | This type contains all the information required to generate a</span><span>
</span><span id="line-22"></span><span class="hs-comment">-- sentence 'Constituent'. Prefer using default instantiations</span><span>
</span><span id="line-23"></span><span class="hs-comment">-- as starting points of the generations process, instead of</span><span>
</span><span id="line-24"></span><span class="hs-comment">-- generating new ProtoSentences</span><span>
</span><span id="line-25"></span><span class="hs-keyword">data</span><span> </span><span id="ProtoSentence"><span class="annot"><a href="Syntax.ProtoSentence.html#ProtoSentence"><span class="hs-identifier hs-var">ProtoSentence</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span id="ProtoSentence"><span class="annot"><a href="Syntax.ProtoSentence.html#ProtoSentence"><span class="hs-identifier hs-var">ProtoSentence</span></a></span></span><span>
</span><span id="line-26"></span><span>  </span><span class="hs-special">{</span><span> </span><span class="hs-comment">-- | Nor Constituent</span><span>
</span><span id="line-27"></span><span>    </span><span id="norCons"><span class="annot"><span class="annottext">ProtoSentence -&gt; Constituent
</span><a href="Syntax.ProtoSentence.html#norCons"><span class="hs-identifier hs-var hs-var">norCons</span></a></span></span><span> </span><span class="hs-glyph">::</span><span> </span><span class="annot"><a href="Syntax.Constituent.html#Constituent"><span class="hs-identifier hs-type">Constituent</span></a></span><span class="hs-special">,</span><span>
</span><span id="line-28"></span><span>    </span><span class="hs-comment">-- | Attribute</span><span>
</span><span id="line-29"></span><span>    </span><span id="attribute"><span class="annot"><span class="annottext">ProtoSentence -&gt; Constituent
</span><a href="Syntax.ProtoSentence.html#attribute"><span class="hs-identifier hs-var hs-var">attribute</span></a></span></span><span> </span><span class="hs-glyph">::</span><span> </span><span class="annot"><a href="Syntax.Constituent.html#Constituent"><span class="hs-identifier hs-type">Constituent</span></a></span><span class="hs-special">,</span><span>
</span><span id="line-30"></span><span>    </span><span class="hs-comment">-- | Nori Constituent</span><span>
</span><span id="line-31"></span><span>    </span><span id="noriCons"><span class="annot"><span class="annottext">ProtoSentence -&gt; Constituent
</span><a href="Syntax.ProtoSentence.html#noriCons"><span class="hs-identifier hs-var hs-var">noriCons</span></a></span></span><span> </span><span class="hs-glyph">::</span><span> </span><span class="annot"><a href="Syntax.Constituent.html#Constituent"><span class="hs-identifier hs-type">Constituent</span></a></span><span class="hs-special">,</span><span>
</span><span id="line-32"></span><span>    </span><span class="hs-comment">-- | Nork Constituent</span><span>
</span><span id="line-33"></span><span>    </span><span id="norkCons"><span class="annot"><span class="annottext">ProtoSentence -&gt; Constituent
</span><a href="Syntax.ProtoSentence.html#norkCons"><span class="hs-identifier hs-var hs-var">norkCons</span></a></span></span><span> </span><span class="hs-glyph">::</span><span> </span><span class="annot"><a href="Syntax.Constituent.html#Constituent"><span class="hs-identifier hs-type">Constituent</span></a></span><span class="hs-special">,</span><span>
</span><span id="line-34"></span><span>    </span><span id="mainVerb"><span class="annot"><span class="annottext">ProtoSentence -&gt; Verb
</span><a href="Syntax.ProtoSentence.html#mainVerb"><span class="hs-identifier hs-var hs-var">mainVerb</span></a></span></span><span> </span><span class="hs-glyph">::</span><span> </span><span class="annot"><a href="Lexis.Verb.html#Verb"><span class="hs-identifier hs-type">Verb</span></a></span><span class="hs-special">,</span><span>
</span><span id="line-35"></span><span>    </span><span id="sentType"><span class="annot"><span class="annottext">ProtoSentence -&gt; SentenceType
</span><a href="Syntax.ProtoSentence.html#sentType"><span class="hs-identifier hs-var hs-var">sentType</span></a></span></span><span> </span><span class="hs-glyph">::</span><span> </span><span class="annot"><a href="Features.Sentential.html#SentenceType"><span class="hs-identifier hs-type">SentenceType</span></a></span><span class="hs-special">,</span><span>
</span><span id="line-36"></span><span>    </span><span id="negated"><span class="annot"><span class="annottext">ProtoSentence -&gt; Bool
</span><a href="Syntax.ProtoSentence.html#negated"><span class="hs-identifier hs-var hs-var">negated</span></a></span></span><span> </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Bool</span></span><span class="hs-special">,</span><span>
</span><span id="line-37"></span><span>    </span><span id="tenseS"><span class="annot"><span class="annottext">ProtoSentence -&gt; Tense
</span><a href="Syntax.ProtoSentence.html#tenseS"><span class="hs-identifier hs-var hs-var">tenseS</span></a></span></span><span> </span><span class="hs-glyph">::</span><span> </span><span class="annot"><a href="Features.Verbal.html#Tense"><span class="hs-identifier hs-type">Tense</span></a></span><span class="hs-special">,</span><span>
</span><span id="line-38"></span><span>    </span><span id="aspectS"><span class="annot"><span class="annottext">ProtoSentence -&gt; Aspect
</span><a href="Syntax.ProtoSentence.html#aspectS"><span class="hs-identifier hs-var hs-var">aspectS</span></a></span></span><span> </span><span class="hs-glyph">::</span><span> </span><span class="annot"><a href="Features.Verbal.html#Aspect"><span class="hs-identifier hs-type">Aspect</span></a></span><span>
</span><span id="line-39"></span><span>  </span><span class="hs-special">}</span><span>
</span><span id="line-40"></span><span>  </span><span class="hs-keyword">deriving</span><span> </span><span class="hs-special">(</span><span id="local-6989586621679082825"><span id="local-6989586621679082827"><span id="local-6989586621679082829"><span class="annot"><span class="annottext">Int -&gt; ProtoSentence -&gt; ShowS
[ProtoSentence] -&gt; ShowS
ProtoSentence -&gt; String
(Int -&gt; ProtoSentence -&gt; ShowS)
-&gt; (ProtoSentence -&gt; String)
-&gt; ([ProtoSentence] -&gt; ShowS)
-&gt; Show ProtoSentence
forall a.
(Int -&gt; a -&gt; ShowS) -&gt; (a -&gt; String) -&gt; ([a] -&gt; ShowS) -&gt; Show a
showList :: [ProtoSentence] -&gt; ShowS
$cshowList :: [ProtoSentence] -&gt; ShowS
show :: ProtoSentence -&gt; String
$cshow :: ProtoSentence -&gt; String
showsPrec :: Int -&gt; ProtoSentence -&gt; ShowS
$cshowsPrec :: Int -&gt; ProtoSentence -&gt; ShowS
</span><span class="hs-identifier hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var">Show</span></span></span></span></span><span class="hs-special">)</span><span>
</span><span id="line-41"></span><span>
</span><span id="line-42"></span><span class="hs-comment">-- | The initial information required to build a copula item</span><span>
</span><span id="line-43"></span><span id="protoCopula"><span class="annot"><span class="annottext">protoCopula :: ProtoSentence
</span><a href="Syntax.ProtoSentence.html#protoCopula"><span class="hs-identifier hs-var hs-var">protoCopula</span></a></span></span><span> </span><span class="hs-glyph">=</span><span>
</span><span id="line-44"></span><span>  </span><span class="annot"><span class="annottext">ProtoSentence :: Constituent
-&gt; Constituent
-&gt; Constituent
-&gt; Constituent
-&gt; Verb
-&gt; SentenceType
-&gt; Bool
-&gt; Tense
-&gt; Aspect
-&gt; ProtoSentence
</span><a href="Syntax.ProtoSentence.html#ProtoSentence"><span class="hs-identifier hs-type">ProtoSentence</span></a></span><span>
</span><span id="line-45"></span><span>    </span><span class="hs-special">{</span><span> </span><span class="annot"><span class="annottext">norCons :: Constituent
</span><a href="Syntax.ProtoSentence.html#norCons"><span class="hs-identifier hs-var">norCons</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">[String] -&gt; Lexis -&gt; Constituent
</span><a href="Syntax.Constituent.html#L"><span class="hs-identifier hs-var">L</span></a></span><span> </span><span class="hs-special">[</span><span class="annot"><span class="annottext">String
</span><span class="hs-string">&quot;nor&quot;</span></span><span class="hs-special">]</span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">Nominal -&gt; NF -&gt; Lexis
</span><a href="Lexis.html#N"><span class="hs-identifier hs-var">N</span></a></span><span> </span><span class="annot"><span class="annottext">Nominal
</span><a href="Lexis.Noun.html#Pronoun"><span class="hs-identifier hs-var">Pronoun</span></a></span><span> </span><span class="annot"><span class="annottext">NF
</span><a href="BasicData.html#norArgF"><span class="hs-identifier hs-var">norArgF</span></a></span><span class="hs-special">)</span><span class="hs-special">,</span><span>
</span><span id="line-46"></span><span>      </span><span class="annot"><span class="annottext">attribute :: Constituent
</span><a href="Syntax.ProtoSentence.html#attribute"><span class="hs-identifier hs-var">attribute</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">[String] -&gt; Lexis -&gt; Constituent
</span><a href="Syntax.Constituent.html#L"><span class="hs-identifier hs-var">L</span></a></span><span> </span><span class="hs-special">[</span><span class="annot"><span class="annottext">String
</span><span class="hs-string">&quot;attribute&quot;</span></span><span class="hs-special">]</span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">Nominal -&gt; NF -&gt; Lexis
</span><a href="Lexis.html#N"><span class="hs-identifier hs-var">N</span></a></span><span> </span><span class="annot"><span class="annottext">Nominal
</span><a href="Lexis.Noun.html#Pronoun"><span class="hs-identifier hs-var">Pronoun</span></a></span><span> </span><span class="annot"><span class="annottext">NF
</span><a href="BasicData.html#norArgF"><span class="hs-identifier hs-var">norArgF</span></a></span><span class="hs-special">)</span><span class="hs-special">,</span><span>
</span><span id="line-47"></span><span>      </span><span class="annot"><span class="annottext">noriCons :: Constituent
</span><a href="Syntax.ProtoSentence.html#noriCons"><span class="hs-identifier hs-var">noriCons</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">[String] -&gt; Lexis -&gt; Constituent
</span><a href="Syntax.Constituent.html#L"><span class="hs-identifier hs-var">L</span></a></span><span> </span><span class="hs-special">[</span><span class="annot"><span class="annottext">String
</span><span class="hs-string">&quot;nori&quot;</span></span><span class="hs-special">]</span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">Nominal -&gt; NF -&gt; Lexis
</span><a href="Lexis.html#N"><span class="hs-identifier hs-var">N</span></a></span><span> </span><span class="annot"><span class="annottext">Nominal
</span><a href="Lexis.Noun.html#Pronoun"><span class="hs-identifier hs-var">Pronoun</span></a></span><span> </span><span class="annot"><span class="annottext">NF
</span><a href="BasicData.html#noriArgF"><span class="hs-identifier hs-var">noriArgF</span></a></span><span class="hs-special">)</span><span class="hs-special">,</span><span>
</span><span id="line-48"></span><span>      </span><span class="annot"><span class="annottext">norkCons :: Constituent
</span><a href="Syntax.ProtoSentence.html#norkCons"><span class="hs-identifier hs-var">norkCons</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">[String] -&gt; Lexis -&gt; Constituent
</span><a href="Syntax.Constituent.html#L"><span class="hs-identifier hs-var">L</span></a></span><span> </span><span class="hs-special">[</span><span class="annot"><span class="annottext">String
</span><span class="hs-string">&quot;nork&quot;</span></span><span class="hs-special">]</span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">Nominal -&gt; NF -&gt; Lexis
</span><a href="Lexis.html#N"><span class="hs-identifier hs-var">N</span></a></span><span> </span><span class="annot"><span class="annottext">Nominal
</span><a href="Lexis.Noun.html#Pronoun"><span class="hs-identifier hs-var">Pronoun</span></a></span><span> </span><span class="annot"><span class="annottext">NF
</span><a href="BasicData.html#norkArgF"><span class="hs-identifier hs-var">norkArgF</span></a></span><span class="hs-special">)</span><span class="hs-special">,</span><span>
</span><span id="line-49"></span><span>      </span><span class="annot"><span class="annottext">mainVerb :: Verb
</span><a href="Syntax.ProtoSentence.html#mainVerb"><span class="hs-identifier hs-var">mainVerb</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">String -&gt; Verb
</span><a href="Lexis.Verb.html#Copula"><span class="hs-identifier hs-var">Copula</span></a></span><span> </span><span class="annot"><span class="annottext">String
</span><span class="hs-string">&quot;izan&quot;</span></span><span class="hs-special">,</span><span>
</span><span id="line-50"></span><span>      </span><span class="annot"><span class="annottext">sentType :: SentenceType
</span><a href="Syntax.ProtoSentence.html#sentType"><span class="hs-identifier hs-var">sentType</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">SentenceType
</span><a href="Features.Sentential.html#Declarative"><span class="hs-identifier hs-var">Declarative</span></a></span><span class="hs-special">,</span><span>
</span><span id="line-51"></span><span>      </span><span class="annot"><span class="annottext">negated :: Bool
</span><a href="Syntax.ProtoSentence.html#negated"><span class="hs-identifier hs-var">negated</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">Bool
</span><span class="hs-identifier hs-var">False</span></span><span class="hs-special">,</span><span>
</span><span id="line-52"></span><span>      </span><span class="annot"><span class="annottext">tenseS :: Tense
</span><a href="Syntax.ProtoSentence.html#tenseS"><span class="hs-identifier hs-var">tenseS</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">Tense
</span><a href="Features.Verbal.html#Present"><span class="hs-identifier hs-var">Present</span></a></span><span class="hs-special">,</span><span>
</span><span id="line-53"></span><span>      </span><span class="annot"><span class="annottext">aspectS :: Aspect
</span><a href="Syntax.ProtoSentence.html#aspectS"><span class="hs-identifier hs-var">aspectS</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">Aspect
</span><a href="Features.Verbal.html#Punctual"><span class="hs-identifier hs-var">Punctual</span></a></span><span>
</span><span id="line-54"></span><span>    </span><span class="hs-special">}</span><span>
</span><span id="line-55"></span><span>
</span><span id="line-56"></span><span class="hs-comment">-- | The initial information required to build a nor-nork item</span><span>
</span><span id="line-57"></span><span id="protoNorNork"><span class="annot"><span class="annottext">protoNorNork :: ProtoSentence
</span><a href="Syntax.ProtoSentence.html#protoNorNork"><span class="hs-identifier hs-var hs-var">protoNorNork</span></a></span></span><span> </span><span class="hs-glyph">=</span><span>
</span><span id="line-58"></span><span>  </span><span class="annot"><span class="annottext">ProtoSentence :: Constituent
-&gt; Constituent
-&gt; Constituent
-&gt; Constituent
-&gt; Verb
-&gt; SentenceType
-&gt; Bool
-&gt; Tense
-&gt; Aspect
-&gt; ProtoSentence
</span><a href="Syntax.ProtoSentence.html#ProtoSentence"><span class="hs-identifier hs-type">ProtoSentence</span></a></span><span>
</span><span id="line-59"></span><span>    </span><span class="hs-special">{</span><span> </span><span class="annot"><span class="annottext">norCons :: Constituent
</span><a href="Syntax.ProtoSentence.html#norCons"><span class="hs-identifier hs-var">norCons</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">[String] -&gt; Lexis -&gt; Constituent
</span><a href="Syntax.Constituent.html#L"><span class="hs-identifier hs-var">L</span></a></span><span> </span><span class="hs-special">[</span><span class="annot"><span class="annottext">String
</span><span class="hs-string">&quot;nor&quot;</span></span><span class="hs-special">]</span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">Nominal -&gt; NF -&gt; Lexis
</span><a href="Lexis.html#N"><span class="hs-identifier hs-var">N</span></a></span><span> </span><span class="annot"><span class="annottext">Nominal
</span><a href="Lexis.Noun.html#Pronoun"><span class="hs-identifier hs-var">Pronoun</span></a></span><span> </span><span class="annot"><span class="annottext">NF
</span><a href="BasicData.html#norArgF"><span class="hs-identifier hs-var">norArgF</span></a></span><span class="hs-special">)</span><span class="hs-special">,</span><span>
</span><span id="line-60"></span><span>      </span><span class="annot"><span class="annottext">attribute :: Constituent
</span><a href="Syntax.ProtoSentence.html#attribute"><span class="hs-identifier hs-var">attribute</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">[String] -&gt; Lexis -&gt; Constituent
</span><a href="Syntax.Constituent.html#L"><span class="hs-identifier hs-var">L</span></a></span><span> </span><span class="hs-special">[</span><span class="annot"><span class="annottext">String
</span><span class="hs-string">&quot;attribute&quot;</span></span><span class="hs-special">]</span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">Nominal -&gt; NF -&gt; Lexis
</span><a href="Lexis.html#N"><span class="hs-identifier hs-var">N</span></a></span><span> </span><span class="annot"><span class="annottext">Nominal
</span><a href="Lexis.Noun.html#Pronoun"><span class="hs-identifier hs-var">Pronoun</span></a></span><span> </span><span class="annot"><span class="annottext">NF
</span><a href="BasicData.html#norArgF"><span class="hs-identifier hs-var">norArgF</span></a></span><span class="hs-special">)</span><span class="hs-special">,</span><span>
</span><span id="line-61"></span><span>      </span><span class="annot"><span class="annottext">noriCons :: Constituent
</span><a href="Syntax.ProtoSentence.html#noriCons"><span class="hs-identifier hs-var">noriCons</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">[String] -&gt; Lexis -&gt; Constituent
</span><a href="Syntax.Constituent.html#L"><span class="hs-identifier hs-var">L</span></a></span><span> </span><span class="hs-special">[</span><span class="annot"><span class="annottext">String
</span><span class="hs-string">&quot;nori&quot;</span></span><span class="hs-special">]</span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">Nominal -&gt; NF -&gt; Lexis
</span><a href="Lexis.html#N"><span class="hs-identifier hs-var">N</span></a></span><span> </span><span class="annot"><span class="annottext">Nominal
</span><a href="Lexis.Noun.html#Pronoun"><span class="hs-identifier hs-var">Pronoun</span></a></span><span> </span><span class="annot"><span class="annottext">NF
</span><a href="BasicData.html#noriArgF"><span class="hs-identifier hs-var">noriArgF</span></a></span><span class="hs-special">)</span><span class="hs-special">,</span><span>
</span><span id="line-62"></span><span>      </span><span class="annot"><span class="annottext">norkCons :: Constituent
</span><a href="Syntax.ProtoSentence.html#norkCons"><span class="hs-identifier hs-var">norkCons</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">[String] -&gt; Lexis -&gt; Constituent
</span><a href="Syntax.Constituent.html#L"><span class="hs-identifier hs-var">L</span></a></span><span> </span><span class="hs-special">[</span><span class="annot"><span class="annottext">String
</span><span class="hs-string">&quot;nork&quot;</span></span><span class="hs-special">]</span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">Nominal -&gt; NF -&gt; Lexis
</span><a href="Lexis.html#N"><span class="hs-identifier hs-var">N</span></a></span><span> </span><span class="annot"><span class="annottext">Nominal
</span><a href="Lexis.Noun.html#Pronoun"><span class="hs-identifier hs-var">Pronoun</span></a></span><span> </span><span class="annot"><span class="annottext">NF
</span><a href="BasicData.html#norkArgF"><span class="hs-identifier hs-var">norkArgF</span></a></span><span class="hs-special">)</span><span class="hs-special">,</span><span>
</span><span id="line-63"></span><span>      </span><span class="annot"><span class="annottext">mainVerb :: Verb
</span><a href="Syntax.ProtoSentence.html#mainVerb"><span class="hs-identifier hs-var">mainVerb</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">String -&gt; Verb
</span><a href="Lexis.Verb.html#NorNork"><span class="hs-identifier hs-var">NorNork</span></a></span><span> </span><span class="annot"><span class="annottext">String
</span><span class="hs-string">&quot;ukan&quot;</span></span><span class="hs-special">,</span><span>
</span><span id="line-64"></span><span>      </span><span class="annot"><span class="annottext">sentType :: SentenceType
</span><a href="Syntax.ProtoSentence.html#sentType"><span class="hs-identifier hs-var">sentType</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">SentenceType
</span><a href="Features.Sentential.html#Declarative"><span class="hs-identifier hs-var">Declarative</span></a></span><span class="hs-special">,</span><span>
</span><span id="line-65"></span><span>      </span><span class="annot"><span class="annottext">negated :: Bool
</span><a href="Syntax.ProtoSentence.html#negated"><span class="hs-identifier hs-var">negated</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">Bool
</span><span class="hs-identifier hs-var">False</span></span><span class="hs-special">,</span><span>
</span><span id="line-66"></span><span>      </span><span class="annot"><span class="annottext">tenseS :: Tense
</span><a href="Syntax.ProtoSentence.html#tenseS"><span class="hs-identifier hs-var">tenseS</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">Tense
</span><a href="Features.Verbal.html#Present"><span class="hs-identifier hs-var">Present</span></a></span><span class="hs-special">,</span><span>
</span><span id="line-67"></span><span>      </span><span class="annot"><span class="annottext">aspectS :: Aspect
</span><a href="Syntax.ProtoSentence.html#aspectS"><span class="hs-identifier hs-var">aspectS</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">Aspect
</span><a href="Features.Verbal.html#Punctual"><span class="hs-identifier hs-var">Punctual</span></a></span><span>
</span><span id="line-68"></span><span>    </span><span class="hs-special">}</span><span>
</span><span id="line-69"></span><span>
</span><span id="line-70"></span><span class="hs-comment">-- | Generate new ProtoSentence with given SentenceType</span><span>
</span><span id="line-71"></span><span class="annot"><a href="Syntax.ProtoSentence.html#modifyType"><span class="hs-identifier hs-type">modifyType</span></a></span><span> </span><span class="hs-glyph">::</span><span> </span><span class="annot"><a href="Features.Sentential.html#SentenceType"><span class="hs-identifier hs-type">SentenceType</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="Syntax.ProtoSentence.html#ProtoSentence"><span class="hs-identifier hs-type">ProtoSentence</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="Syntax.ProtoSentence.html#ProtoSentence"><span class="hs-identifier hs-type">ProtoSentence</span></a></span><span>
</span><span id="line-72"></span><span id="modifyType"><span class="annot"><span class="annottext">modifyType :: SentenceType -&gt; ProtoSentence -&gt; ProtoSentence
</span><a href="Syntax.ProtoSentence.html#modifyType"><span class="hs-identifier hs-var hs-var">modifyType</span></a></span></span><span> </span><span id="local-6989586621679082812"><span class="annot"><span class="annottext">SentenceType
</span><a href="#local-6989586621679082812"><span class="hs-identifier hs-var">st</span></a></span></span><span> </span><span id="local-6989586621679082811"><span class="annot"><span class="annottext">ProtoSentence
</span><a href="#local-6989586621679082811"><span class="hs-identifier hs-var">proto</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">ProtoSentence
</span><a href="#local-6989586621679082811"><span class="hs-identifier hs-var">proto</span></a></span><span> </span><span class="hs-special">{</span><span class="annot"><span class="annottext">sentType :: SentenceType
</span><a href="Syntax.ProtoSentence.html#sentType"><span class="hs-identifier hs-var">sentType</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">SentenceType
</span><a href="#local-6989586621679082812"><span class="hs-identifier hs-var">st</span></a></span><span class="hs-special">}</span><span>
</span><span id="line-73"></span><span>
</span><span id="line-74"></span><span class="hs-comment">-- | Generate new ProtoSentence with negated = True</span><span>
</span><span id="line-75"></span><span class="annot"><a href="Syntax.ProtoSentence.html#negateSent"><span class="hs-identifier hs-type">negateSent</span></a></span><span> </span><span class="hs-glyph">::</span><span> </span><span class="annot"><a href="Syntax.ProtoSentence.html#ProtoSentence"><span class="hs-identifier hs-type">ProtoSentence</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="Syntax.ProtoSentence.html#ProtoSentence"><span class="hs-identifier hs-type">ProtoSentence</span></a></span><span>
</span><span id="line-76"></span><span id="negateSent"><span class="annot"><span class="annottext">negateSent :: ProtoSentence -&gt; ProtoSentence
</span><a href="Syntax.ProtoSentence.html#negateSent"><span class="hs-identifier hs-var hs-var">negateSent</span></a></span></span><span> </span><span id="local-6989586621679082810"><span class="annot"><span class="annottext">ProtoSentence
</span><a href="#local-6989586621679082810"><span class="hs-identifier hs-var">proto</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">ProtoSentence
</span><a href="#local-6989586621679082810"><span class="hs-identifier hs-var">proto</span></a></span><span> </span><span class="hs-special">{</span><span class="annot"><span class="annottext">negated :: Bool
</span><a href="Syntax.ProtoSentence.html#negated"><span class="hs-identifier hs-var">negated</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">Bool
</span><span class="hs-identifier hs-var">True</span></span><span class="hs-special">}</span><span>
</span><span id="line-77"></span><span>
</span><span id="line-78"></span><span class="hs-comment">-- | Generate new ProtoSentence with given Aspect</span><span>
</span><span id="line-79"></span><span class="annot"><a href="Syntax.ProtoSentence.html#modifyAspect"><span class="hs-identifier hs-type">modifyAspect</span></a></span><span> </span><span class="hs-glyph">::</span><span> </span><span class="annot"><a href="Features.Verbal.html#Aspect"><span class="hs-identifier hs-type">Aspect</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="Syntax.ProtoSentence.html#ProtoSentence"><span class="hs-identifier hs-type">ProtoSentence</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="Syntax.ProtoSentence.html#ProtoSentence"><span class="hs-identifier hs-type">ProtoSentence</span></a></span><span>
</span><span id="line-80"></span><span id="modifyAspect"><span class="annot"><span class="annottext">modifyAspect :: Aspect -&gt; ProtoSentence -&gt; ProtoSentence
</span><a href="Syntax.ProtoSentence.html#modifyAspect"><span class="hs-identifier hs-var hs-var">modifyAspect</span></a></span></span><span> </span><span id="local-6989586621679082809"><span class="annot"><span class="annottext">Aspect
</span><a href="#local-6989586621679082809"><span class="hs-identifier hs-var">asp</span></a></span></span><span> </span><span id="local-6989586621679082808"><span class="annot"><span class="annottext">ProtoSentence
</span><a href="#local-6989586621679082808"><span class="hs-identifier hs-var">proto</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">ProtoSentence
</span><a href="#local-6989586621679082808"><span class="hs-identifier hs-var">proto</span></a></span><span> </span><span class="hs-special">{</span><span class="annot"><span class="annottext">aspectS :: Aspect
</span><a href="Syntax.ProtoSentence.html#aspectS"><span class="hs-identifier hs-var">aspectS</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">Aspect
</span><a href="#local-6989586621679082809"><span class="hs-identifier hs-var">asp</span></a></span><span class="hs-special">}</span><span>
</span><span id="line-81"></span><span>
</span><span id="line-82"></span><span class="hs-comment">-- | Generate new ProtoSentence with given Tense</span><span>
</span><span id="line-83"></span><span class="annot"><a href="Syntax.ProtoSentence.html#modifyTense"><span class="hs-identifier hs-type">modifyTense</span></a></span><span> </span><span class="hs-glyph">::</span><span> </span><span class="annot"><a href="Features.Verbal.html#Tense"><span class="hs-identifier hs-type">Tense</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="Syntax.ProtoSentence.html#ProtoSentence"><span class="hs-identifier hs-type">ProtoSentence</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="Syntax.ProtoSentence.html#ProtoSentence"><span class="hs-identifier hs-type">ProtoSentence</span></a></span><span>
</span><span id="line-84"></span><span id="modifyTense"><span class="annot"><span class="annottext">modifyTense :: Tense -&gt; ProtoSentence -&gt; ProtoSentence
</span><a href="Syntax.ProtoSentence.html#modifyTense"><span class="hs-identifier hs-var hs-var">modifyTense</span></a></span></span><span> </span><span id="local-6989586621679082807"><span class="annot"><span class="annottext">Tense
</span><a href="#local-6989586621679082807"><span class="hs-identifier hs-var">tns</span></a></span></span><span> </span><span id="local-6989586621679082806"><span class="annot"><span class="annottext">ProtoSentence
</span><a href="#local-6989586621679082806"><span class="hs-identifier hs-var">proto</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">ProtoSentence
</span><a href="#local-6989586621679082806"><span class="hs-identifier hs-var">proto</span></a></span><span> </span><span class="hs-special">{</span><span class="annot"><span class="annottext">tenseS :: Tense
</span><a href="Syntax.ProtoSentence.html#tenseS"><span class="hs-identifier hs-var">tenseS</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">Tense
</span><a href="#local-6989586621679082807"><span class="hs-identifier hs-var">tns</span></a></span><span class="hs-special">}</span><span>
</span><span id="line-85"></span><span>
</span><span id="line-86"></span><span class="hs-comment">-- | Generate new ProtoSentence with given NPConstituent as nor argument</span><span>
</span><span id="line-87"></span><span class="annot"><a href="Syntax.ProtoSentence.html#modifyNor"><span class="hs-identifier hs-type">modifyNor</span></a></span><span> </span><span class="hs-glyph">::</span><span> </span><span class="annot"><a href="Syntax.Constituent.html#NPConstituent"><span class="hs-identifier hs-type">NPConstituent</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="Syntax.ProtoSentence.html#ProtoSentence"><span class="hs-identifier hs-type">ProtoSentence</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="Syntax.ProtoSentence.html#ProtoSentence"><span class="hs-identifier hs-type">ProtoSentence</span></a></span><span>
</span><span id="line-88"></span><span id="modifyNor"><span class="annot"><span class="annottext">modifyNor :: Constituent -&gt; ProtoSentence -&gt; ProtoSentence
</span><a href="Syntax.ProtoSentence.html#modifyNor"><span class="hs-identifier hs-var hs-var">modifyNor</span></a></span></span><span> </span><span id="local-6989586621679082804"><span class="annot"><span class="annottext">Constituent
</span><a href="#local-6989586621679082804"><span class="hs-identifier hs-var">np</span></a></span></span><span> </span><span id="local-6989586621679082803"><span class="annot"><span class="annottext">ProtoSentence
</span><a href="#local-6989586621679082803"><span class="hs-identifier hs-var">proto</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">ProtoSentence
</span><a href="#local-6989586621679082803"><span class="hs-identifier hs-var">proto</span></a></span><span> </span><span class="hs-special">{</span><span class="annot"><span class="annottext">norCons :: Constituent
</span><a href="Syntax.ProtoSentence.html#norCons"><span class="hs-identifier hs-var">norCons</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">Constituent
</span><a href="#local-6989586621679082804"><span class="hs-identifier hs-var">np</span></a></span><span class="hs-special">}</span><span>
</span><span id="line-89"></span><span>
</span><span id="line-90"></span><span class="hs-comment">-- | Generate new ProtoSentence with given NPConstituent as nork argument</span><span>
</span><span id="line-91"></span><span class="annot"><a href="Syntax.ProtoSentence.html#modifyNork"><span class="hs-identifier hs-type">modifyNork</span></a></span><span> </span><span class="hs-glyph">::</span><span> </span><span class="annot"><a href="Syntax.Constituent.html#NPConstituent"><span class="hs-identifier hs-type">NPConstituent</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="Syntax.ProtoSentence.html#ProtoSentence"><span class="hs-identifier hs-type">ProtoSentence</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="Syntax.ProtoSentence.html#ProtoSentence"><span class="hs-identifier hs-type">ProtoSentence</span></a></span><span>
</span><span id="line-92"></span><span id="modifyNork"><span class="annot"><span class="annottext">modifyNork :: Constituent -&gt; ProtoSentence -&gt; ProtoSentence
</span><a href="Syntax.ProtoSentence.html#modifyNork"><span class="hs-identifier hs-var hs-var">modifyNork</span></a></span></span><span> </span><span id="local-6989586621679082802"><span class="annot"><span class="annottext">Constituent
</span><a href="#local-6989586621679082802"><span class="hs-identifier hs-var">np</span></a></span></span><span> </span><span id="local-6989586621679082801"><span class="annot"><span class="annottext">ProtoSentence
</span><a href="#local-6989586621679082801"><span class="hs-identifier hs-var">proto</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">ProtoSentence
</span><a href="#local-6989586621679082801"><span class="hs-identifier hs-var">proto</span></a></span><span> </span><span class="hs-special">{</span><span class="annot"><span class="annottext">norkCons :: Constituent
</span><a href="Syntax.ProtoSentence.html#norkCons"><span class="hs-identifier hs-var">norkCons</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">Constituent
</span><a href="#local-6989586621679082802"><span class="hs-identifier hs-var">np</span></a></span><span class="hs-special">}</span><span>
</span><span id="line-93"></span><span>
</span><span id="line-94"></span><span class="hs-comment">-- | Generate new ProtoSentence with given NPConstituent as attribute</span><span>
</span><span id="line-95"></span><span class="annot"><a href="Syntax.ProtoSentence.html#modifyAttribute"><span class="hs-identifier hs-type">modifyAttribute</span></a></span><span> </span><span class="hs-glyph">::</span><span> </span><span class="annot"><a href="Syntax.Constituent.html#NPConstituent"><span class="hs-identifier hs-type">NPConstituent</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="Syntax.ProtoSentence.html#ProtoSentence"><span class="hs-identifier hs-type">ProtoSentence</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="Syntax.ProtoSentence.html#ProtoSentence"><span class="hs-identifier hs-type">ProtoSentence</span></a></span><span>
</span><span id="line-96"></span><span id="modifyAttribute"><span class="annot"><span class="annottext">modifyAttribute :: Constituent -&gt; ProtoSentence -&gt; ProtoSentence
</span><a href="Syntax.ProtoSentence.html#modifyAttribute"><span class="hs-identifier hs-var hs-var">modifyAttribute</span></a></span></span><span> </span><span id="local-6989586621679082800"><span class="annot"><span class="annottext">Constituent
</span><a href="#local-6989586621679082800"><span class="hs-identifier hs-var">np</span></a></span></span><span> </span><span id="local-6989586621679082799"><span class="annot"><span class="annottext">ProtoSentence
</span><a href="#local-6989586621679082799"><span class="hs-identifier hs-var">proto</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">ProtoSentence
</span><a href="#local-6989586621679082799"><span class="hs-identifier hs-var">proto</span></a></span><span> </span><span class="hs-special">{</span><span class="annot"><span class="annottext">attribute :: Constituent
</span><a href="Syntax.ProtoSentence.html#attribute"><span class="hs-identifier hs-var">attribute</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">Constituent
</span><a href="#local-6989586621679082800"><span class="hs-identifier hs-var">np</span></a></span><span class="hs-special">}</span><span>
</span><span id="line-97"></span><span>
</span><span id="line-98"></span><span class="hs-comment">-- | Generate new ProtoSentence with given 'Verb' as verb</span><span>
</span><span id="line-99"></span><span class="annot"><a href="Syntax.ProtoSentence.html#modifyVerb"><span class="hs-identifier hs-type">modifyVerb</span></a></span><span> </span><span class="hs-glyph">::</span><span> </span><span class="annot"><a href="Lexis.Verb.html#Verb"><span class="hs-identifier hs-type">Verb</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="Syntax.ProtoSentence.html#ProtoSentence"><span class="hs-identifier hs-type">ProtoSentence</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="Syntax.ProtoSentence.html#ProtoSentence"><span class="hs-identifier hs-type">ProtoSentence</span></a></span><span>
</span><span id="line-100"></span><span id="modifyVerb"><span class="annot"><span class="annottext">modifyVerb :: Verb -&gt; ProtoSentence -&gt; ProtoSentence
</span><a href="Syntax.ProtoSentence.html#modifyVerb"><span class="hs-identifier hs-var hs-var">modifyVerb</span></a></span></span><span> </span><span id="local-6989586621679082798"><span class="annot"><span class="annottext">Verb
</span><a href="#local-6989586621679082798"><span class="hs-identifier hs-var">v</span></a></span></span><span> </span><span id="local-6989586621679082797"><span class="annot"><span class="annottext">ProtoSentence
</span><a href="#local-6989586621679082797"><span class="hs-identifier hs-var">proto</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">ProtoSentence
</span><a href="#local-6989586621679082797"><span class="hs-identifier hs-var">proto</span></a></span><span> </span><span class="hs-special">{</span><span class="annot"><span class="annottext">mainVerb :: Verb
</span><a href="Syntax.ProtoSentence.html#mainVerb"><span class="hs-identifier hs-var">mainVerb</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">Verb
</span><a href="#local-6989586621679082798"><span class="hs-identifier hs-var">v</span></a></span><span class="hs-special">}</span><span>
</span><span id="line-101"></span></pre></body></html>